srmbootraw
8
srmbootraw

# srmbootraw

Linux/Alpha SRM boot block composer

       srmbootraw
            boot_device
            boot_file

## DESCRIPTIONS

This tool is a quick hack and is not supposed to exist in its present state for long.

Srmbootraw writes the image from `boot_file` preceded by the appropriate SRM boot block into the first blocks of `boot_device`, preserving the disklabel. It is intended to be used when you have a small raw partition at the beginning of your hard drive, dedicated for the bootloader. If you don't, `srmbootraw` will silently render your file system(s) unusable.

## ARGUMENTS

`boot_device`

  The device you intend to boot from, e.g. `/dev/sda`. It must have enough room at the beginning to hold the boot block and the bootloader.

`boot_file`

  The file name of the bootloader.

## AUTHOR

Nikita Schmidt cetus@snowball.ucd.ie

## SEE ALSO

aboot(8), mke2fs(8), swriteboot(8), e2writeboot(8), srmbootfat(1)